[SOLVED] KDE 4.9.1 update broken

Forum rules
Before you post please read this

[SOLVED] KDE 4.9.1 update broken

Postby Sam Poison Oak on Sat Sep 22, 2012 12:05 pm

Hello fellas :D
Using Mint 13 KDE 4.9 and after updating to 4.9.1 (using the kunbuntu/backports) I no longer have installed dolphin, network applet(sistray), network config tool on sys-setings, also muon apps are no longer available... It seems like something went wrong but there wasn't any warnings or something :/
How do I connect to a wifi network using CLI?
A dist-upgrade woud solve my problems or I have to install each package not installed manually one by one?

Thanks for reading and have a nice day/night ^^

EDIT: Installing kde-standard package solved the issue :)
Last edited by Sam Poison Oak on Thu Sep 27, 2012 1:09 pm, edited 3 times in total.
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Linux Mint is funded by ads and donations.
 

Re: KDE 4.9.1 update broken

Postby zerozero on Sat Sep 22, 2012 12:56 pm

afaik you should have done a dist-upgrade in the first place when trying to go from 4.9 to 4.9.1
How do I connect to a wifi network using CLI?

http://wiki.debian.org/WiFi/HowToUse might be useful
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: KDE 4.9.1 update broken

Postby Sam Poison Oak on Sat Sep 22, 2012 4:32 pm

Well, thanks... Anyways.. Why do my problem happened? Are there some logs stored when an update is done?
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Re: KDE 4.9.1 update broken

Postby zerozero on Sat Sep 22, 2012 5:24 pm

why the problem happened in the first place? difficult to say but i would guess that if you did a plain apt upgrade or used mintupdate (with the custom levels 1 to 3 enabled) to perform the upgrade some dependencies weren't resolved and pieces of the system failed to update to 4.9.1 or even worst was uninstalled.

you can check the last events with
Code: Select all
cat /var/log/apt/history.log
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: KDE 4.9.1 update broken

Postby Sam Poison Oak on Wed Sep 26, 2012 3:50 pm

Well. Thanks. I used mintupdate levels 1 to 3 and nothing more, its the first time that this happens.

Please check the logs:
term.log http://pastebin.com/42jKXC6t
history.log http://pastebin.com/sCXxpHfP
I don't find any anormal on these but the muons.

By the way I can't connect to wifi using cli, every scanning command on the Wifi-HowTo says that its not installed or not available, I'll try lan later but I'm afraid that the networking modules aren't installed of something.
I'm on kernel 3.2.0-30 but on any other kernel the problems stay.
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Re: KDE 4.9.1 update broken

Postby zerozero on Wed Sep 26, 2012 7:11 pm

as i was afraid the upgrade you did uninstalled large chunks of your system: just check your term.log and see all the removing; furthermore as i said as well
zerozero wrote:some dependencies weren't resolved
properly and the upgrade ended with the error
Error: Sub-process /usr/bin/dpkg returned an error code (1)
that as far as i can see is because of muon: this part here
Code: Select all
dpkg: dependency problems prevent configuration of muon:
 muon depends on libmuonprivate1; however:
  Package libmuonprivate1 is not installed.
dpkg: error processing muon (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of muon-updater:
 muon-updater depends on libmuonprivate1; however:
  Package libmuonprivate1 is not installed.
dpkg: error processing muon-updater (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of muon-notifier:
 muon-notifier depends on muon-updater; however:
  Package muon-updater is not configured yet.
dpkg: error processing muon-notifier (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of muon-dbg:
 muon-dbg depends on libmuonprivate1 (= 1.4.0-0ubuntu1~ppa1); however:
  Package libmuonprivate1 is not installed.
 muon-dbg depends on muon (= 1.4.0-0ubuntu1~ppa1) | muon-updater (= 1.4.0-0ubuntu1~ppa1) | muon-notifier (= 1.4.0-0ubuntu1~ppa1); however:
  Package muon is not configured yet.
  Package muon-updater is not configured yet.
  Package muon-notifier is not configured yet.
dpkg: error processing muon-dbg (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of muon-discover:
 muon-discover depends on libmuonprivate1; however:
  Package libmuonprivate1 is not installed.
dpkg: error processing muon-discover (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of muon-installer:
 muon-installer depends on libmuonprivate1; however:
  Package libmuonprivate1 is not installed.
dpkg: error processing muon-installer (--configure):
 dependency problems - leaving unconfigured


you can at this point try
Code: Select all
sudo apt-get -f install
and
Code: Select all
sudo dpkg --configure -a
to see if you can recover from those broken packages and then run again
Code: Select all
sudo apt-get dist-upgrade


i'm not entirely sure that this will recover fully the system, for that you'll need some kind of net connection and re-download one of the kde meta-packages, kde-standard is the smaller and will do the trick.

good luck :)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: KDE 4.9.1 update broken

Postby Sam Poison Oak on Thu Sep 27, 2012 11:31 am

Thanks again!
EDIT: I've found the kde-standard package on the kubuntu/backports ppa but its size is 13.7Kb meaning that I need iNet for complete the install... Any suggestion or I have to reinstall the system :( ?
EDIT2: I managed to repair the system(I think so). Installed kde-standard package over ethernet(restarted the router not mint guilty) and everything seems to be find by now...
Wich .deb manager comes installed by default? Gdebi?
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Re: [SOLVED] KDE 4.9.1 update broken

Postby zerozero on Thu Sep 27, 2012 7:28 pm

:D glad you sorted it out.
but remember: kde-standard is a minimal installation; as the description says
This metapackage includes the KDE Plasma Desktop and a selection of the most
common used applications in a standard KDE desktop.
meaning that probably some of the app that you lost the other day were not reinstalled by this process, the intention was to give you a easy way (through a meta-package) to fix your system. now if you see that something is missing you should, with synaptic, install the missing bits.

Sam Poison Oak wrote:Wich .deb manager comes installed by default? Gdebi?
i think (might be wrong) that you are talking about synaptic (it's mint's package manager >> and not only mint of course)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: [SOLVED] KDE 4.9.1 update broken

Postby Sam Poison Oak on Thu Sep 27, 2012 7:37 pm

nope, I was talking about gdebi. I have to install it from synaptic cause I was wondering if it was default on kde, I need it to install debs xD
So wich kde-metapackage is needed for a full install like the one on a vanilla mintKde?
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Re: [SOLVED] KDE 4.9.1 update broken

Postby zerozero on Thu Sep 27, 2012 8:16 pm

ahh :lol: sorry
i'm on debian and here i have gdebi-kde (you *should* have it too in main mint)

regarding the meta-packages question, it goes like this: now that you installed a higher version of kde than the one shipped with mint, you moved away from the defaults meaning that the usual setup "on a vanilla mintkde" is not possible anymore; you can either go with kde-standard and build your own desktop (not completely because you already start from a very good foundation) or kde-full and bring in everything and the kitchen sink.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: [SOLVED] KDE 4.9.1 update broken

Postby Sam Poison Oak on Thu Sep 27, 2012 8:26 pm

Ok i mixed somethings up with the vanilla thingy :oops:
Thanks againg. I'll go with kde-full cause I want the dog's house too 8)
This post can be closed and locked now :D
Linux Mint FTW!!
Image
User avatar
Sam Poison Oak
Level 1
Level 1
 
Posts: 24
Joined: Sun Feb 12, 2012 4:57 pm
Location: GuayaKill

Linux Mint is funded by ads and donations.
 

Return to KDE

Who is online

Users browsing this forum: No registered users and 3 guests